Description

Heobxoammo paspabotatb knacc ERBeamDetTrackFinder, yHacnenoBaHHbii oT FairTask. 3anaya knacca - cosaaHve obbekTa
ERBeamDetTrack no paHHbiMm Ha MWPC cTaHumsX.

Mpeanonoraem, 4To coBbITUS C MHOXECTBEHHOCTbIO H0/blle eAMHULIBI Mbl YOpanu Ha aTane AnaXuTnsauun. To ecTb B KONNEKLMN
MWPCDigi nonxHo 6biTb 4 anemeHTa. digi AOMXHbI NPUHAANEeXaTb PasHbIM CTaHUMSM. OTO HaA0 NPOBEPUTL U B MPOTUBHOM
cnyyae KMHyTb cooblieHme.

ERBeamDetTrack 6yneT coCTOATb U3 TPEX TOYEK B MPOCTPAHCTBE. ABE N3 HUX nonyyeHbl 3 MWPC, TpeTbs 13 NpeanonoXeHus,
4TO TPEK NPSMONUHEEH 1 3HaHMS KoopauHaThl muweHn. (FX1,fY1, ... fZ2, fXt, fYt, fZt t - target)

Tak kak Mbl 3aHeM, 4yTo ERBeamDetTrack TO4HO 0AWH B COBbITMN, Er0 HE HALO XPaHWUTb Kak 0auH anemMeHT B TClonesArray.
WHTepdpelic

ioman->Register("BeamDetTrack.", "BeamDet track", fBeamTrack, KTRUE); no3sonsiet xpaHuTb 0AUHOYHbIE 06 HEKTHI,
HacnenoBaHHble oT TNamed. O6paTu BHUMaHNe Ha To4KY B KOHLIe Ha3BaHus BeTKn. OHa Heobxoamma Ans KoppekTHoi paboTol
TBrowser.

3HaHUs 0 reoMeTpumn feTekTopa HeobXoaMMOo MHKaNCynMpoBaTh B OTAeNbHbIN knacc - ERBeamDetSetup(cm ERNeuRadSetup).
Tyna xe HyxHo ybpaTb npoLieaypy NosyyeHns no HoMepy NpPoBOIOYKM KOOPAUHATLI B NpocTpaHcTBe. OAHOM 13 K0YeBbIX dnlek
FairRunTimeDB sBnsetcsa 10, 4TO OHa 3anucbiBaeT B par.root reoMeTpuio Tekylein cumynaunn. OTTyna Mbl ee JOCTaeM K npumepy
B eventDisplay. Bo Bpems ognaxutnsaumm n nioboit Apyroin 3anayv reomMetpus TakXxe AoCTynHa yepes rnobanbHbiil ykasatenb
gGeoManager. B NeuRad BnaHO Kak no HeMy MOXHO onpeaennTb BCIO TEKYLLYIO FeOMEeTPUI0 UCX0A9 TONbKO U3 NPEenonofeHns o
TOM Kak 06 beMbl BNOXEHbI APYr B Apyra 1 Kak Ha3biBatoTcs. Takum 06pa3om Mbl n3baBnsieMcst 0T 3aBUCMMOCTY KOAa OT TeKyLen
KOHpurypauum netektopa.

Tyna xe noTtoM 6yayT MHKANCYIMPOBaHbl 3aHAHUS O 3NIEKTPOHMKE Ha KaX AOM KaHane cHuTbiBaHus. Kak aTo ceityac caenaHo B
NeuRad. Ho aTto notom.

History

#1 - 07/21/2017 09:37 PM - Vitaliy Schetinin

MocMoTpen goainbl 0T KOTOPbIX Thl Pelnn oTTankneatbes. ObpaTti BHUMaHUe, 4TO B LAHHOM CNyyYae Mbl MPOMYCKaeM TaKyHo CYLWHOCTb KaK XUT.
KoTopss 6bina akTyanbHa B muSi.

#2 - 07/21/2017 09:40 PM - Vitaliy Schetinin

P>aBblii anropntm,KOTOpPbIA paHblue Aenan 3Ty Noruky onucbliaBeTcs Tak:

1) OH NpocTO MO HOMEPY MPOBONOYKM BOCTAHABNMBAET YeTblpe OTAeNbHbIe KoopAmHaThl: xmw1, ymw1, xmw2, ymw2.
2) Nanblwe cobupaeT U3 HKX LBE TOYKU B MPOCTPAHCTBE:

VmwFa(xmw1,ymw1,0)

VmwClI(xmw2,ymw2,pacTtosiHne mexay MWPC)

3) dopmupyeT BEKTOP Nyyka

Vbeam = VmwCI - VmwFa

4) Ectb koopamnHara Zdist

Zdist = MWclosDist - header->UpMat. MWXYdist/2.;

Ecnu s npaBunbHO NoHsN 3T0 cepeauHa oTpeska Mexay X 1 Y nnockoctsamm 6nuxaiwein k muwenn MWPC

5) KoopavHatbl Ha MULEHN:

xbt = xmw2 - Zdist*tan(Vbeam.Theta())*cos(Vbeam.Phi());

ybt = ymw2 - Zdist*tan(Vbeam.Theta())*sin(Vbeam.Phi());

To ecTb OH BoOBLUE HIKAK He YYMTLIBAET TO, YTO Y HAC €Tb CMeLLEHMe nyyka Mex ay cTaHumsamm X n'Y. Ok. 3T1o Bpohe Takxe kak obcyxaanv B
nocnegHuin pas.

6) OT60p COBbLITHIA, NONABLWKX B MULIEHB. Sl yMalo HaMm ero ToXe CTOUT CAeNnaTth U He nucaTb CobbITUS He nonaswue.

Kak He nucaTb cobbiTus B BLIXOAHOM hainn MoxHo nocMoTpeTb B BeamDetCalibratorNew. FairRun->MarkFill()
#3 - 08/09/2017 08:08 AM - Vitaliy Schetinin

- Status changed from Ortkpeita to 3akpbiTa
